import React from 'react';
import ReactDOM from 'react-dom';
import SplitButton from '..';

const { Item } = SplitButton;
const menu = [ 'Undo', 'Redo', 'Cut', 'Copy', 'Paste' ].map(item => (
  <Item key={item}>{item}</Item>
));

ReactDOM.render(
  <div>
    <SplitButton
      label="Edit Document"
      triggerProps={{ 'aria-label': 'click to see more menu option' }}
    >
      {menu}
    </SplitButton>
  </div>,
  document.getElementById('split-button-demo-5'),
);
